<?php

// PHP mailer namespace.
use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;

function sendMail($name, $email, $message)
{
    // Require mail config
    $config = include '../config.php';

    $mail = new PHPMailer(true);
    try {
        //Server settings
        //$mail->SMTPDebug = 2;
        $mail->isSMTP();
        $mail->SMTPAuth = true;
        $mail->SMTPSecure = 'ssl';
        $mail->Port = $config['mail']['port'];
        $mail->Host = $config['mail']['host'];
        $mail->Username = $config['mail']['username'];
        $mail->Password = $config['mail']['password'];

        //Recipients
        $mail->setFrom($config['mail']['username'], $config['mail']['name']);
        $mail->addAddress($config['mail']['username'], $config['mail']['name']);

        //Content
        $mail->isHTML(true);
        $mail->Subject = 'New message from ' . $email;
        $mail->Body    = $message . "\n\n" . $name . "\n" . $email;
        $mail->AltBody = $message . "\n\n" . $name . "\n" . $email;

        $mail->send();

    } catch (Exception $exception) {
        log_exception($exception);
    }
}

function title()
{
    switch ($_SERVER['REQUEST_URI']) {
    case '/feedback/':
        $uri = $_SERVER['REQUEST_URI'];
        echo $titleHeader = 'Feedback';
        break;

    case '/contact/':
        $uri = $_SERVER['REQUEST_URI'];
        echo $titleHeader = 'Contact';
        break;

    default:
        $uri = '/';
        echo $titleHeader = 'Voiceover';
    }
}
