<?php require __DIR__ . '/partials/header.php'; ?>

    <?php if (isset($formSuccess)) : ?>
    <div class="bg-teal-100 border-t-4 border-blue-500 rounded-b text-teal-900
    px-4 py-3 shadow-md" role="alert">
        <div class="flex">
            <div>
                <p class="font-bold">Your message has been successful.</p>
                <p class="text-sm">I'll get in touch with you soon.</p>
            </div>
        </div>
    </div>
    <br>
    <?php endif; ?>

    <div>
        <h1 class="text-3xl text-red-700 font-bold mb-3">Contact</h1>
        <h2 class="text-xl text-gray-800 leading-normal mb-6">
            Interested in collaborating together?
            Send a message by using the form below.
        </h2>
    </div>

    <form class="w-full max-w-md rounded" method="post" action="/contact/">
        <div class="flex flex-wrap -mx-3 mb-6">

            <div class="w-full md:w-1/2 px-3 mb-6 md:mb-0">

                <label class="block uppercase tracking-wide text-gray-700 text-xs
                font-bold mb-2" for="name">
                    Name
                </label>

                <input class="shadow-md appearance-none block w-full bg-gray-100
                text-gray-700 border border-gray-100 rounded py-3 px-4 mb-3
                leading-tight focus:outline-none focus:bg-white focus:border-gray-500"
                name="26471" id="name" type="text"
                value="<?php echo $name ?? '' ?>">

            </div>

            <div class="w-full md:w-1/2 px-3">

                <label class="block uppercase tracking-wide text-gray-700 text-xs font-bold mb-2"
                for="email">
                    Email (&lowast;)
                </label>

                <input class="shadow-md appearance-none block w-full bg-gray-100 text-gray-700
                border <?php echo $border = isset($emailError) ? 'border-red-600' : 'border-gray-100';?>
                rounded py-3 px-4 mb-3 leading-tight focus:outline-none focus:bg-white
                focus:border-gray-500" name="26472" id="email" type="email" required="required"
                value="<?php echo $email ?? '' ?>">

                <?php if (isset($emailError)) : ?>
                    <p class="text-red-600 text-xs"><?php echo $emailError ?></p>
                <?php endif; ?>

            </div>

        </div>
        <div class="flex flex-wrap -mx-3 mb-6">
            <div class="w-full px-3">
                <label class="block uppercase tracking-wide text-gray-700 text-xs
                font-bold mb-2" for="message">
                    Message (&lowast;)
                </label>
                <textarea class="shadow-md appearance-none block w-full
                bg-gray-100 text-gray-700 border border-gray-100
                rounded py-3 px-4 mb-3 leading-tight focus:outline-none
                focus:bg-white focus:border-gray-500" name="26473" id="message"
                rows="4" required="required"><?php echo $message ?? '' ?></textarea>
            </div>
        </div>

        <div class="text-center sm:text-left">
            <button class="shadow bg-blue-400 hover:bg-blue-500
            focus:shadow-outline focus:outline-none text-white
            font-bold py-2 px-4 rounded" type="submit">
                Send Message
            </button>
        </div>

        <input type="checkbox" name="agree" tabindex="-1" class="checkbox-agree">

    </form>

<?php require __DIR__ . '/partials/footer.php'; ?>
